Acknowledges the given alert.
- Mock serverhttps://docs.bndry.net/_mock/apis/openapi/v1alpha/alerts/{alert}:acknowledge
- BNDRY APIhttps://api.bndry.app/v1alpha/alerts/{alert}:acknowledge
curl -i -X POST \
'https://docs.bndry.net/_mock/apis/openapi/v1alpha/alerts/{alert}:acknowledge' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Success
(IDENTIFIER) The resource name of the alert. Format: alerts/{alert} string.resource_name = ["alerts/*"] // value must be a valid resource name
Required. The type of the alert. Format: alertTypes/{alert_type} string.resource_name = ["alertTypes/*"] // value must be a valid resource name
(OPTIONAL) Optional. A description of what triggered the alert.
Required. The source that performed the alert.
Output only. The state of the alert.
(OPTIONAL) Optional. The workspace involved in this alert. string.resource_name = ["workspaces/*"] // value must be a valid resource name
(OPTIONAL) Optional. Form Definition associated with the created form If both this and form is sent, they must match. If form is sent but this is not, it gets auto-populated string.resource_name = ["formDefinitions/*"] // value must be a valid resource name
(OPTIONAL) Optional. The form involved in this alert. If both this and form_definition is sent, they must match. If form_definition is sent but this is not, it gets auto-populated string.resource_name = ["forms/", "workspaces//forms/*"] // value must be a valid resource name
Output only. The timestamp when the alert was created.
Output only. The timestamp when the alert was last updated.
Output only. The timestamp when the alert was deleted. See AIP-164.
{ "name": "string", "alertType": "string", "message": "Entity is due for a periodic review based on review schedule for high-risk entities", "source": "ALERT_SOURCE_UNSPECIFIED", "state": "STATE_UNSPECIFIED", "entities": [ "entities/john-smith-001" ], "workspace": "string", "formDefinition": "string", "form": "string", "annotations": { "property1": "string", "property2": "string" }, "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z", "deleteTime": "2023-01-15T01:30:15.01Z", "purgeTime": "2023-01-15T01:30:15.01Z" }